org.apache.solr.client.solrj.request

## Interface RequestWriter.ContentWriter

All Known Implementing Classes:
  RequestWriter.StringPayloadContentWriter

Enclosing class:
  RequestWriter

    public static interface RequestWriter.ContentWriter

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getContentType()`
`void` `write(OutputStream os)`

### Method Detail

#### write

    void write(OutputStream os)
        throws IOException

Throws:
  `IOException`

#### getContentType

    String getContentType()